summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <junkio@cox.net>2005-11-27 23:18:04 -0800
committerLibravatar Junio C Hamano <junkio@cox.net>2005-11-28 23:13:03 -0800
commiteefaa4fca79f5240eaefd0046a338dbdac8b4204 (patch)
treef1646bd84a650afb3e7add0bf91b3f16e1b1efaf
parentbranch: make it operable from a subdirectory. (diff)
downloadtgif-eefaa4fca79f5240eaefd0046a338dbdac8b4204.tar.xz
lost-found: make it operable from a subdirectory.
Signed-off-by: Junio C Hamano <junkio@cox.net>
-rwxr-xr-xgit-lost-found.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/git-lost-found.sh b/git-lost-found.sh
index 9dd7430018..2beec2aa63 100755
--- a/git-lost-found.sh
+++ b/git-lost-found.sh
@@ -1,7 +1,6 @@
#!/bin/sh
-. git-sh-setup
-
+GIT_DIR=`git-rev-parse --git-dir` || exit $?
laf="$GIT_DIR/lost-found"
rm -fr "$laf" && mkdir -p "$laf/commit" "$laf/other" || exit